From 7f5ca8cc2158debe66663f09eb19b4613e75e124 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Thu, 23 Sep 2021 21:16:11 +0530
Subject: [PATCH] [clang] Use portable "#!/usr/bin/env bash" shebang for tools
 and utils.

Reviewed By: JDevlieghere

Differential Revision: https://reviews.llvm.org/D110041
---
 clang/tools/diag-build/diag-build.sh | 2 +-
 clang/utils/make-ast-dump-check.sh   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/clang/tools/diag-build/diag-build.sh b/clang/tools/diag-build/diag-build.sh
index 018288dda9566..b1504ffcc418e 100755
--- a/clang/tools/diag-build/diag-build.sh
+++ b/clang/tools/diag-build/diag-build.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # diag-build: a tool showing enabled warnings in a project.
 #
diff --git a/clang/utils/make-ast-dump-check.sh b/clang/utils/make-ast-dump-check.sh
index 365f227cc1c66..cb4c7924e4c3e 100755
--- a/clang/utils/make-ast-dump-check.sh
+++ b/clang/utils/make-ast-dump-check.sh
@@ -1,4 +1,4 @@
-#! /bin/bash
+#!/usr/bin/env bash
 
 # This script is intended as a FileCheck replacement to update the test
 # expectations in a -ast-dump test.
